# Uses of Class
org.apache.sling.scripting.sightly.impl.engine.SightlyEngineConfiguration

Packages that use SightlyEngineConfiguration
Package
Description
org.apache.sling.scripting.sightly.impl.engine
org.apache.sling.scripting.sightly.impl.engine.runtime

## Uses of SightlyEngineConfiguration in org.apache.sling.scripting.sightly.impl.engine

Methods in org.apache.sling.scripting.sightly.impl.engine that return SightlyEngineConfiguration
Modifier and Type
Method
Description
`SightlyEngineConfiguration`
SightlyScriptEngine.`getConfiguration()`
`SightlyEngineConfiguration`
SightlyScriptEngineFactory.`getConfiguration()`

## Uses of SightlyEngineConfiguration in org.apache.sling.scripting.sightly.impl.engine.runtime

Constructors in org.apache.sling.scripting.sightly.impl.engine.runtime with parameters of type SightlyEngineConfiguration
Modifier
Constructor
Description
``
`RenderContextImpl(SightlyEngineConfiguration configuration, ExtensionRegistryService extensionRegistryService, ScriptContext scriptContext)`